IsValidOnlyConnectionTester30 (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.example

## Class IsValidOnlyConnectionTester30

- java.lang.Object
- - com.mchange.v2.c3p0.AbstractConnectionTester
  - - com.mchange.v2.c3p0.util.IsValidOnlyConnectionTester
    - - com.mchange.v2.c3p0.example.IsValidOnlyConnectionTester30

- All Implemented Interfaces:
    ConnectionTester, FullQueryConnectionTester, QueryConnectionTester, UnifiedConnectionTester, java.io.Serializable

      public final class IsValidOnlyConnectionTester30
      extends IsValidOnlyConnectionTester

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface com.mchange.v2.c3p0.UnifiedConnectionTester

      `CONNECTION_IS_INVALID, CONNECTION_IS_OKAY, DATABASE_IS_INVALID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsValidOnlyConnectionTester30()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getIsValidTimeout()`

    - ### Methods inherited from class com.mchange.v2.c3p0.util.IsValidOnlyConnectionTester

      `activeCheckConnection, statusOnException`

    - ### Methods inherited from class com.mchange.v2.c3p0.AbstractConnectionTester

      `activeCheckConnection, activeCheckConnection, activeCheckConnection, statusOnException, statusOnException, statusOnException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.mchange.v2.c3p0.UnifiedConnectionTester

      `equals, hashCode`

- - ### Constructor Detail

    - #### IsValidOnlyConnectionTester30

          public IsValidOnlyConnectionTester30()

  - ### Method Detail

    - #### getIsValidTimeout

          protected int getIsValidTimeout()

      Specified by:
        `getIsValidTimeout` in class `IsValidOnlyConnectionTester`